package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDGroup;
import com.sa.ibiz.demo.demo.service.dto.TSSDGroupSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDGroup] 服务对象接口
 */
public interface TSSDGroupService extends IService<TSSDGroup>{

		TSSDGroup get(TSSDGroup et);
	boolean remove(TSSDGroup et);
	boolean checkKey(TSSDGroup et);
	boolean getDraft(TSSDGroup et);
	boolean update(TSSDGroup et);
	boolean create(TSSDGroup et);
    List<TSSDGroup> listDefault(TSSDGroupSearchFilter filter) ;
	Page<TSSDGroup> searchDefault(TSSDGroupSearchFilter filter);
	/**	 实体[TSSDGroup] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }